Page MenuHomePhabricator

CX landing screen and selector looks disabled, grayed out
Closed, ResolvedPublic1 Story Points

Description

CX landing screen and selector looks disabled, grayed out, causing people to think it is all disabled and no actions available

The buttons become enable only when user start typing. But there must be someway to make it looking "inviting"

Event Timeline

santhosh created this task.Feb 25 2015, 3:41 PM
santhosh raised the priority of this task from to Needs Triage.
santhosh updated the task description. (Show Details)
santhosh added subscribers: santhosh, Pginer-WMF.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 25 2015, 3:41 PM
Arrbee triaged this task as Normal priority.Feb 25 2015, 3:54 PM
Arrbee added a subscriber: Arrbee.

In order to better illustrate what to do next, we should make the input focus move to the search field.

I can think on other design improvements, but making the button enabled does not seem to improve the situation too much since we cannot start a translation if the user does not provide an article. That would turn the "button is disabled" problem into a worse "the button does not work" problem.

Change 192989 had a related patch set uploaded (by Amire80):
Focus the source title input when opening the selector

https://gerrit.wikimedia.org/r/192989

Change 192989 merged by jenkins-bot:
Focus the source title input when opening the selector

https://gerrit.wikimedia.org/r/192989

santhosh moved this task from Backlog to In Review on the LE-Sprint-83 board.Feb 26 2015, 6:46 AM
Arrbee set Security to None.Feb 26 2015, 3:08 PM
Arrbee edited a custom field.
Arrbee closed this task as Resolved.Mar 10 2015, 9:11 AM
Arrbee moved this task from In Review to Done on the LE-Sprint-83 board.